/*
 * COPYRIGHT (c) 1998-1999 Jan-Henrik Haukeland, http://www.tildeslash.com/
 */

package ts.biff;

import java.awt.Toolkit;
import java.awt.Image;
import javax.swing.ImageIcon;


/**
 * Application icon images 
 *
 * @author  Jan-Henrik Haukeland &lt;hauk@tildeslash.com&gt;
 * @version $Id: BiffIcon.java,v 1.3 1999/11/28 01:27:03 hauk Exp $
 *
 */
public final class BiffIcon
{

  private static ImageIcon myImageIcon;

  static { 

    try {
      myImageIcon= new ImageIcon(Toolkit.getDefaultToolkit().
				 getImage(Class.forName("java.lang.Object").
					  getResource("/ts/resources/icon.gif")));
    }
    catch (Exception e) {
      System.out.println("Error: "+e.getMessage());
      e.printStackTrace();
    }
    
  }
  

  /**
   * Returns the applications ImageIcon as an animated gif
   * @return Application ImageIcon
   */
  public static ImageIcon getImageIcon()
  {
    return myImageIcon;
  }


}
